Skip to main content
`Ctrl`+`K`
scipy.special.

# roots_sh_chebyu

scipy.special.roots_sh_chebyu(n, mu=False)

  Gauss-Chebyshev (second kind, shifted) quadrature.

  Computes the sample points and weights for Gauss-Chebyshev quadrature. The sample points are the roots of the nth degree shifted Chebyshev polynomial of the second kind, \(U_n(x)\). These sample points and weights correctly integrate polynomials of degree \(2n - 1\) or less over the interval \([0, 1]\) with weight function \(w(x) = \sqrt{x - x^2}\). See 22.2.9 in [AS] for more details.

  Parameters:
    n int

      quadrature order

    mu bool, optional

      If True, return the sum of the weights, optional.

  Returns:
    x ndarray

      Sample points

    w ndarray

      Weights

    mu float

      Sum of the weights

  See also

  `scipy.integrate.fixed_quad`

  References

  [AS]

  Milton Abramowitz and Irene A. Stegun, eds. Handbook of Mathematical Functions with Formulas, Graphs, and Mathematical Tables. New York: Dover, 1972.